OBJS = moduleCompTime.o moduleCaseParam.o moduleConstParam.o \
			 moduleErrors.o moduleMath.o moduleParallel.o \
			 moduleRandom.o moduleRefParam.o moduleTable.o \
			 velocityDistribution.o 

all: $(OBJS)

moduleTable.o: moduleErrors.o moduleTable.f90
	$(FC) $(FCFLAGS) -c $(subst .o,.f90,$@) -o $(OBJDIR)/$@

%.o: %.f90
	$(FC) $(FCFLAGS) -c $< -o $(OBJDIR)/$@
